Skip to content

Last updated: 28 August 2026 | Change log

Query network tokens and provision cryptograms

Proceed to network token inquiry if you do not receive a network token, otherwise proceed to provisioning a cryptogram.

Network token inquiry

If you do not receive a tokenNumber , send a GET request to the tokens:networkTokenLookup action link returned in the response of your create a network token request.

Network token inquiry request

GET https://try.access.worldpay-bsh.securedataplatform.co.uk/tokens/network/E9026BB9-0FD3-47C9-A088-17A68BF07659

Note

No request body is needed for this request.

Response

The response status is 200 OK. You receive links to your next available actions in your response. Please note, this API will always return token and card details associated with the token when it was created. These may become out of date over time.

Response
{ "tokenReference": "aa224320-425c-40b6-9781-2cb7df76b0c8", "tokenPaymentInstrument": { "status": "Active", "type": "card/networkToken", "tokenNumber": "4917610000000000", "expiryDate": { "month": 3, "year": 2030 } }, "paymentInstrument": { "type": "card/masked", "firstSix": "444433", "lastFour": "1111", "cardExpiryDate": { "month": 1, "year": 2030 }, "paymentAccountReference": "Q1HJZ28RKA1EBL470G9XYG90R5D3E" }, "_links": { "self": { "href": "https://try.access.worldpay-bsh.securedataplatform.co.uk/tokens/network" }, "tokens:networkTokenLookup": { "href": "https://try.access.worldpay-bsh.securedataplatform.co.uk/tokens/network/aa224320-425c-40b6-9781-2cb7df76b0c8" }, "curies": [ { "href": "https://try.access.worldpay-bsh.securedataplatform.co.uk/rels/tokens/{rel}.json", "name": "tokens", "templated": true } ] } }

Provision network token cryptograms

Once you receive the tokenNumber, provision a cryptogram to take a card on file payment. A cryptogram contains transaction specific information.

Note

Cryptograms are single use and valid for 24 hours.

To provision a network token cryptogram , POST your request to the tokens:networkTokenCryptogram action link. POST https://try.access.worldpay-bsh.securedataplatform.co.uk/tokens/network/cryptograms

Request

ParameterRequiredDescription
tokenNumber✅16 digit network token number, provisioned via card schemes.

Response

Response
{ "cryptogramDetails": { "cryptogram": "AgAAAAAASFh+gDRt/rq8QOkAAAA=", "eci": "07" }, "_links": { "self": { "href": "https://try.access.worldpay-bsh.securedataplatform.co.uk/tokens/network/cryptograms" }, "tokens:networkTokenLookup": { "href": "https://try.access.worldpay-bsh.securedataplatform.co.uk/tokens/network/{tokenReference}", "templated": true }, "curies": [ { "href": "https://try.access.worldpay-bsh.securedataplatform.co.uk/rels/tokens/{rel}.json", "name": "tokens", "templated": true } ] } }

Delete network tokens

To delete a network token, send a DELETE request to the token resource with tokenNumber received in the tokenPaymentInstrument object in your create a network token response.

You might want to delete tokens if a customer has closed their account with you, or if the customer no longer wants their card details kept on file.

Request

DELETE https://try.access.worldpay-bsh.securedataplatform.co.uk/tokens/network/4111111111111111

Note

No request body is needed for this request. You can delete tokens of all types.

Response

The response status is 204 No Content.

Warning
This action cannot be undone. Once we've received the request, the token is deleted.




Next steps

Take a payment using cryptogram